Package org.optaplanner.core.impl.solver.thread

## Enum ChildThreadType

- java.lang.Object
- - java.lang.Enum<ChildThreadType>
  - - org.optaplanner.core.impl.solver.thread.ChildThreadType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ChildThreadType>`

      public enum ChildThreadType
      extends Enum<ChildThreadType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MOVE_THREAD` | Used by multithreaded incremental solving.
    `PART_THREAD` | Used by `PartitionedSearchPhase`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChildThreadType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ChildThreadType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PART_THREAD

          public static final ChildThreadType PART_THREAD

      Used by `PartitionedSearchPhase`.

    - #### MOVE_THREAD

          public static final ChildThreadType MOVE_THREAD

      Used by multithreaded incremental solving.

  - ### Method Detail

    - #### values

          public static ChildThreadType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChildThreadType c : ChildThreadType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChildThreadType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null